Browse Source

* debian/rules:
- Fixed lintian warnings "debian/rules ignores make errors".
* debian/control:
- Substituted outdated "Source-Version" fields with "binary:Version".
- Added 'python-apt' to Suggests, as apt-mark need it for work.
- Drop Debian revision from 'doc-base' build dependency, this fixes
appropriate lintian warning.
* debian/libapt-pkg-doc.doc-base.*:
- Changed section: from old 'Devel' to 'Debian'. This fixes appropriate
lintian warnings.
* debian/{postrm,prerm,preinst}:
- Added 'set -e', fixes lintian warnings
'maintainer-script-ignores-error'.
* dselect/makefile:
- Removed unneeded 'LOCAL' entry. This allows cleaning rule to run smoothly.
* share/lintian-overrides:
- Added with override of 'apt must depend on python'. Script 'apt-mark'
needs apt-python for working and checks this on fly. We don't want
python in most cases.
* cmdline/apt-key:
- Added 'unset GREP_OPTIONS' to the script. This prevents 'apt-key update'
failure when GREP_OPTIONS contains options that modify grep output.
(Closes: #428752)

Michael Vogt 17 years ago
parent
commit
e9120a9931

+ 1 - 0
cmdline/apt-key

@@ -1,6 +1,7 @@
 #!/bin/sh
 #!/bin/sh
 
 
 set -e
 set -e
+unset GREP_OPTIONS
 
 
 # We don't use a secret keyring, of course, but gpg panics and
 # We don't use a secret keyring, of course, but gpg panics and
 # implodes if there isn't one available
 # implodes if there isn't one available

+ 23 - 0
debian/changelog

@@ -7,6 +7,29 @@ apt (0.7.17) unstable; urgency=low
   * apt-pkg/algorithm.cc:
   * apt-pkg/algorithm.cc:
     - Strip username and password from source URL in error message.
     - Strip username and password from source URL in error message.
       (Closes: #425150)
       (Closes: #425150)
+  * debian/rules:
+    - Fixed lintian warnings "debian/rules ignores make errors".
+  * debian/control:
+    - Substituted outdated "Source-Version" fields with "binary:Version".
+    - Added 'python-apt' to Suggests, as apt-mark need it for work.
+    - Drop Debian revision from 'doc-base' build dependency, this fixes
+      appropriate lintian warning.
+  * debian/libapt-pkg-doc.doc-base.*:
+    - Changed section: from old 'Devel' to 'Debian'. This fixes appropriate
+      lintian warnings.
+  * debian/{postrm,prerm,preinst}:
+    - Added 'set -e', fixes lintian warnings
+      'maintainer-script-ignores-error'.
+  * dselect/makefile:
+    - Removed unneeded 'LOCAL' entry. This allows cleaning rule to run smoothly.
+  * share/lintian-overrides:
+    - Added with override of 'apt must depend on python'. Script 'apt-mark'
+      needs apt-python for working and checks this on fly. We don't want
+      python in most cases.
+  * cmdline/apt-key:
+    - Added 'unset GREP_OPTIONS' to the script. This prevents 'apt-key update'
+      failure when GREP_OPTIONS contains options that modify grep output.
+      (Closes: #428752)
 
 
  -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 24 Oct 2008 23:45:17 +0300
  -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 24 Oct 2008 23:45:17 +0300
 
 

+ 3 - 3
debian/control

@@ -4,7 +4,7 @@ Priority: important
 Maintainer: APT Development Team <deity@lists.debian.org>
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.7.2.2
 Standards-Version: 3.7.2.2
-Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12-1), xsltproc, docbook-xsl, xmlto
+Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto
 XS-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
 XS-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
 
 
 Package: apt
 Package: apt
@@ -13,7 +13,7 @@ Depends: ${shlibs:Depends}, debian-archive-keyring
 Priority: important
 Priority: important
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
 Provides: ${libapt-pkg:provides}
-Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, lzma
+Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
 Section: admin
 Section: admin
 Description: Advanced front-end for dpkg
 Description: Advanced front-end for dpkg
  This is Debian's next generation front-end for the dpkg package manager.
  This is Debian's next generation front-end for the dpkg package manager.
@@ -35,7 +35,7 @@ Description: Documentation for APT
 Package: libapt-pkg-dev
 Package: libapt-pkg-dev
 Architecture: any
 Architecture: any
 Priority: optional
 Priority: optional
-Depends: apt (= ${Source-Version}), apt-utils (= ${Source-Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}
+Depends: apt (= ${binary:Version}), apt-utils (= ${binary:Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}
 Section: libdevel
 Section: libdevel
 Description: Development files for APT's libapt-pkg and libapt-inst
 Description: Development files for APT's libapt-pkg and libapt-inst
  This package contains the header files and libraries for
  This package contains the header files and libraries for

+ 1 - 1
debian/libapt-pkg-doc.doc-base.cache

@@ -8,7 +8,7 @@ Abstract: The APT Cache Specification describes the complete implementation
  tree very fast by pre-linking important things like dependencies and
  tree very fast by pre-linking important things like dependencies and
  provides. The specification doubles as documentation for one of the
  provides. The specification doubles as documentation for one of the
  in-memory structures used by the package library and the APT GUI.
  in-memory structures used by the package library and the APT GUI.
-Section: Devel
+Section: Debian
 
 
 Format: html
 Format: html
 Index: /usr/share/doc/libapt-pkg-doc/cache.html/index.html
 Index: /usr/share/doc/libapt-pkg-doc/cache.html/index.html

+ 1 - 1
debian/libapt-pkg-doc.doc-base.dpkg-tech

@@ -3,7 +3,7 @@ Title: APT's interpetation of DPkg Technical Specification
 Author: Jason Gunthorpe
 Author: Jason Gunthorpe
 Abstract: The DPkg Technical Manual gives an overview of dpkg's external
 Abstract: The DPkg Technical Manual gives an overview of dpkg's external
  functions(as APT sees them) and describes how it views the world.
  functions(as APT sees them) and describes how it views the world.
-Section: Devel
+Section: Debian
 
 
 Format: html
 Format: html
 Index: /usr/share/doc/libapt-pkg-doc/dpkg-tech.html/index.html
 Index: /usr/share/doc/libapt-pkg-doc/dpkg-tech.html/index.html

+ 1 - 1
debian/libapt-pkg-doc.doc-base.files

@@ -4,7 +4,7 @@ Author: Jason Gunthorpe
 Abstract: The APT Files document describes the complete implementation and
 Abstract: The APT Files document describes the complete implementation and
  format of the installed APT directory structure. It also serves as guide
  format of the installed APT directory structure. It also serves as guide
  to how APT views the Debian archive.
  to how APT views the Debian archive.
-Section: Devel
+Section: Debian
 
 
 Format: html
 Format: html
 Index: /usr/share/doc/libapt-pkg-doc/files.html/index.html
 Index: /usr/share/doc/libapt-pkg-doc/files.html/index.html

+ 1 - 1
debian/libapt-pkg-doc.doc-base.method

@@ -3,7 +3,7 @@ Title: APT Method Interface
 Author: Jason Gunthorpe
 Author: Jason Gunthorpe
 Abstract: The APT Method Interface document describes the interface that
 Abstract: The APT Method Interface document describes the interface that
  APT uses to the archive access methods.
  APT uses to the archive access methods.
-Section: Devel
+Section: Debian
 
 
 Format: html
 Format: html
 Index: /usr/share/doc/libapt-pkg-doc/method.html/index.html
 Index: /usr/share/doc/libapt-pkg-doc/method.html/index.html

+ 2 - 0
debian/postrm

@@ -8,6 +8,8 @@
 # the Free Software Foundation; either version 2 of the License, or
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
 # (at your option) any later version.
 
 
+set -e
+
 #DEBHELPER#
 #DEBHELPER#
 
 
 case "$1" in
 case "$1" in

+ 2 - 0
debian/preinst

@@ -1,5 +1,7 @@
 #! /bin/sh
 #! /bin/sh
 
 
+set -e
+
 # dpkg does this for us while we are upgrading..
 # dpkg does this for us while we are upgrading..
 #if [ "$1" = "upgrade" -a -L /var/state/apt -a -e /var/lib/apt -a ! -L /var/state/apt ] && dpkg --compare-versions "$2" ">=" "0.4.10"; then
 #if [ "$1" = "upgrade" -a -L /var/state/apt -a -e /var/lib/apt -a ! -L /var/state/apt ] && dpkg --compare-versions "$2" ">=" "0.4.10"; then
 #  rm /var/state/apt
 #  rm /var/state/apt

+ 2 - 0
debian/prerm

@@ -1,5 +1,7 @@
 #! /bin/sh
 #! /bin/sh
 
 
+set -e
+
 #DEBHELPER#
 #DEBHELPER#
 
 
 if [ "$1" = "upgrade" -o "$1" = "failed-upgrade" ] && 
 if [ "$1" = "upgrade" -o "$1" = "failed-upgrade" ] && 

+ 5 - 2
debian/rules

@@ -125,8 +125,8 @@ build/build-doc-stamp: build/configure-stamp
 clean:
 clean:
 	dh_testdir
 	dh_testdir
 #	dh_testroot
 #	dh_testroot
-	-$(MAKE) clean
-	-$(MAKE) distclean
+	[ -f Makefile ] && $(MAKE) clean
+	[ -f Makefile ] && $(MAKE) distclean
 
 
 	rm -rf build
 	rm -rf build
 
 
@@ -217,6 +217,9 @@ apt: build debian/shlibs.local
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
 #	head -n 500 ChangeLog > debian/ChangeLog
 #	head -n 500 ChangeLog > debian/ChangeLog
 
 
+	# copy lintian override
+	cp share/lintian-overrides debian/$@/usr/share/lintian/overrides/apt
+
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
 	# in po/domains/* untouched) and cp *.po into each domain dir
 	rm -f build/po/*.pot
 	rm -f build/po/*.pot

+ 1 - 1
dselect/makefile

@@ -11,7 +11,7 @@ TO = $(BUILD)/scripts/dselect
 TARGET = program
 TARGET = program
 include $(COPY_H)
 include $(COPY_H)
 
 
-LOCAL = dselect
+# LOCAL = dselect
 SOURCE = install update
 SOURCE = install update
 TYPE = sh
 TYPE = sh
 include $(PODOMAIN_H)
 include $(PODOMAIN_H)

+ 3 - 0
share/lintian-overrides

@@ -0,0 +1,3 @@
+# apt-mark is rarely used auxiliary script, we don't want to depend on
+# python-apt only for it. 
+apt binary: python-script-but-no-python-dep ./usr/bin/apt-mark